Bug 1273541 - RDO-Manager needs epel.repo enabled (otherwise undercloud deployment fails.)
RDO-Manager needs epel.repo enabled (otherwise undercloud deployment fails.)
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: rdo-manager (Show other bugs)
Liberty
x86_64 Linux
medium Severity medium
: GA
: Liberty
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 12:17 EDT by Omri Hochman
Modified: 2017-06-18 02:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omri Hochman 2015-10-20 12:17:28 EDT
RDO-Manager needs epel.repo enabled (otherwise undercloud deployment fails.) 


Environment: 
------------

[stack@rhos-XXXXXXX ~]$ cat /etc/redhat-release 
CentOS Linux release 7.1.1503 (Core)

instack-0.0.8-1.el7.noarch
instack-undercloud-2.1.3-1.el7.noarch
openstack-tripleo-heat-templates-0.8.7-1.el7.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7.noarch
openstack-tripleo-0.0.6-1.el7.noarch
python-tripleoclient-0.0.11-1.el7.noarch
tripleo-common-0.0.1-2.el7.noarch
openstack-tripleo-image-elements-0.9.7-1.el7.noarch
openstack-puppet-modules-7.0.0-1.el7.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7.noarch
puppet-3.6.2-3.el7.noarch


Steps:
--------
(1) provision machine to CentOS 7.1x
(2) attempt to Install RDO-Manager Undercloud without enable epel repo . 


Results : 
----------
(1) During undercloud installation - following error display for no hard dep: 

Error: Execution of '/bin/yum -d 0 -e 0 -y list python-proliantutils' returned 1: Error: No matching Packages to list
Error: /Stage[main]/Main/Package[python-proliantutils]/ensure: change from absent to present failed: Execution of '/bin/yum -d 0 -e 0 -y list python-proliantutils' returned 1: Error: No matching Packages to list

(2) RDO-Manager Undercloud deployment fails :


Notice: /Stage[main]/Ceilometer::Agent::Notification/Service[ceilometer-agent-notification]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ceilometer::Collector/Service[ceilometer-collector]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ceilometer::Db::Sync/Exec[ceilometer-dbsync]: Triggered 'refresh' from 4 events
Notice: /Stage[main]/Ceilometer::Agent::Central/Service[ceilometer-agent-central]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ceilometer::Alarm::Notifier/Service[ceilometer-alarm-notifier]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ceilometer::Api/Service[ceilometer-api]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ceilometer::Alarm::Evaluator/Service[ceilometer-alarm-evaluator]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns: No handlers could be found for logger "oslo_config.cfg"
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns: Traceback (most recent call last):
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/bin/ironic-dbsync", line 10, in <module>
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     sys.exit(main())
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/ironic/cmd/dbsync.py", line 115, in main
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     service.prepare_service(sys.argv)
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/ironic/common/service.py", line 138, in prepare_service
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     log.setup(cfg.CONF, 'ironic')
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/oslo_log/log.py", line 246, in setup
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     _setup_logging_from_conf(conf, product_name, version)
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib/python2.7/site-packages/oslo_log/log.py", line 314, in _setup_logging_from_conf
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     filelog = logging.handlers.WatchedFileHandler(logpath)
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib64/python2.7/logging/handlers.py", line 392, in __init__
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     logging.FileHandler.__init__(self, filename, mode, encoding, delay)
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib64/python2.7/logging/__init__.py", line 902, in __init__
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     StreamHandler.__init__(self, self._open())
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:   File "/usr/lib64/python2.7/logging/__init__.py", line 925, in _open
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns:     stream = open(self.baseFilename, self.mode)
Notice: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]/returns: IOError: [Errno 2] No such file or directory: '/var/log/ironic/ironic-dbsync.log'
Error: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]: Failed to call refresh: ironic-dbsync --config-file /etc/ironic/ironic.conf  returned 1 instead of one of [0]
Error: /Stage[main]/Ironic::Db::Sync/Exec[ironic-dbsync]: ironic-dbsync --config-file /etc/ironic/ironic.conf  returned 1 instead of one of [0]
Notice: /Stage[main]/Ironic::Conductor/Service[ironic-conductor]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Ironic::Api/Service[ironic-api]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Neutron::Agents::Ml2::Ovs/Service[neutron-ovs-agent-service]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Heat/Heat_config[oslo_messaging_rabbit/rabbit_host]/ensure: created
Notice: /Stage[main]/Heat::Db::Sync/Exec[heat-dbsync]: Triggered 'refresh' from 6 events
Notice: /Stage[main]/Heat::Api_cfn/Service[heat-api-cfn]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Heat::Engine/Service[heat-engine]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Heat::Api/Service[heat-api]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Heat::Api_cloudwatch/Service[heat-api-cloudwatch]/ensure: ensure changed 'stopped' to 'running'
Notice: Finished catalog run in 548.97 seconds
+ rc=6
+ set -e
+ echo 'puppet apply exited with exit code 6'
puppet apply exited with exit code 6
+ '[' 6 '!=' 2 -a 6 '!=' 0 ']'
+ exit 6
[2015-10-20 11:49:58,749] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 6]

[2015-10-20 11:49:58,749] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 562, in install
    _run_orc(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 494, in _run_orc
    _run_live_command(args, instack_env, 'os-refresh-config')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 325, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command 'instack-install-undercloud' returned non-zero exit status 1
Comment 1 Alan Pevec 2015-10-20 12:42:11 EDT
Archiving related info from IRC:

<trown> ... and instack-virt-setup actually checks for EPEL and will fail to even run without it
Comment 4 Christopher Brown 2017-06-17 14:55:24 EDT
This isn't the case any more so can be closed.

Note You need to log in before you can comment on or make changes to this bug.